### `top`

Event fires when the top scroll boundary state changes.

**Parameters:**
- `isTop: boolean` — `true` if scroll is at the top position

### `reachTop`

Event fires when the top scroll boundary is reached.

### `leaveTop`

Event fires when leaving the top scroll boundary.

### `bottom`

Event fires when the bottom scroll boundary state changes.

**Parameters:**
- `isBottom: boolean` — `true` if scroll is at the bottom position

### `reachBottom`

Event fires when the bottom scroll boundary is reached.

### `leaveBottom`

Event fires when leaving the bottom scroll boundary.

### `edge`

Event fires when any scroll boundary state changes.

**Parameters:**
- `isTop: boolean` — `true` if scroll is at the top position
- `isBottom: boolean` — `true` if scroll is at the bottom position
- `edge: 'top' | 'bottom'` — type of boundary that changed
